Page MenuHomePhabricator

DropdownWidget and ComboBoxWidget dropdown arrow is not keyboard accessible
Closed, ResolvedPublic

Description

If I click on the small arrow next to the textfield in these controls, the dropdown menu is opened. However, when tab or screenreader navigating trough the page, i'm not able to focus this control and do the same.

Event Timeline

TheDJ created this task.Jan 27 2015, 11:13 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a project: OOUI.
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2015, 11:14 PM
Jdforrester-WMF triaged this task as Normal priority.Jan 28 2015, 2:04 AM
Jdforrester-WMF added a project: Accessibility.
Jdforrester-WMF set Security to None.
gerritbot added a subscriber: gerritbot.

Change 189609 had a related patch set uploaded (by Bartosz Dziewoński):
DropdownWidget, ComboBoxWidget: Make keyboard-accessible

https://gerrit.wikimedia.org/r/189609

Patch-For-Review

Vaguely related: T53229.

matmarex claimed this task.Feb 10 2015, 2:02 AM
matmarex moved this task from Backlog to Doing on the OOUI board.Feb 10 2015, 4:42 PM

Change 189609 merged by jenkins-bot:
DropdownWidget, ComboBoxWidget: Make keyboard-accessible

https://gerrit.wikimedia.org/r/189609

Jdforrester-WMF closed this task as Resolved.Feb 11 2015, 10:38 PM
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:57 PM